Skip to main content
`Ctrl`+`K`

# skbio.sequence.DNA.__ne__

DNA.__ne__(other)

  Determine if this sequence is not equal to another.

  Sequences are not equal if they are not exactly the same type, or their sequence characters, metadata, or positional metadata differ.

  Parameters:
    other Sequence

      Sequence to test for inequality against.

  Returns:
    bool

      Indicates whether this sequence is not equal to other.

  Examples

      >>> from skbio import Sequence
      >>> s = Sequence('ACGT')
      >>> t = Sequence('ACGT')
      >>> s != t
      False
      >>> u = Sequence('ACGA')
      >>> u != t
      True
      >>> v = Sequence('ACGA', metadata={'id': 'v'})
      >>> u != v
      True